mstflint (4.31.0+1-3) unstable; urgency=medium

  * Add dkms subpackage
  * Add 3 fixes to the kernel code:
    - kernel_fallthrough.patch
    - kernel_ioremap_check_null.patch
    - kernel_statify.patch
  * rules: Keep kernel/Makefile, that is manually-generated

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 06 Apr 2025 08:08:44 +0300

mstflint (4.31.0+1-2) unstable; urgency=medium

  * Remove unused override
  * Standard version 4.7.2

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 30 Mar 2025 04:49:05 +0300

mstflint (4.31.0+1-1) unstable; urgency=medium

  * New upstream release.
    - Patches from upstream devel branch to fix build issues:
      dev_mgt-include-missing-function-declaration.patch
      fwctrl-fix-reg-status-typo.patch
      fwctrl-include-missing-function-declarations.patch
  * Update copyright

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 04 Mar 2025 23:19:47 +0200

mstflint (4.26.0+1-2) unstable; urgency=medium

  * Add revert_runtime_test.patch: Fix cross-building
  * Remove architecture-dependent macros. Added:
    - 0001-Remove-unused-arch-dependent-define-U64L.patch
    - 0002-Remove-unused-arch-dependent-macros-from-packet_comm.patch
    - 0003-Avoid-all-arch-dependent-format-macros.patch

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 28 Jan 2024 17:22:17 +0200

mstflint (4.26.0+1-1) unstable; urgency=medium

  * New upstream release:
    - Removed 0001-Remove-date-and-time-from-version-string-to-ensure-r.patch
      (merged upstream).
    - Removed man-proper-header-line.patch (merged upstream).
    - Removed typos.patch (merged upstream).
  * Add remove_fwmgr_install.patch as a temporary workaround of upstream
    change.
  * Ignore generated files under debian/
  * Fix building twice in a row.

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 24 Jan 2024 10:52:47 +0200

mstflint (4.21.0+1-1) unstable; urgency=medium

  * New upstream release:
    - 0003-Fix-man-page-errors.patch removed: merged upstream
    - malloc_delete_free.patch removed: merged upstream
  * Add man-proper-header-line.patch
  * Add typos.patch

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 17 Aug 2022 12:12:52 +0300

mstflint (4.17.0+1-1) unstable; urgency=medium

  * New upstream release:
    - array_length.patch removed: merged upstream.
    - riscv.patch removed removed merged upstream.
    - hppa_and_m68k.patch remove: merged upstream.
    - mipsel.patch added (originally from hppa_and_m68k.patch).
  * Add malloc_delete_free.patch (Closes: #984247).

 -- Tzafrir Cohen <tzafrir@debian.org>  Fri, 05 Nov 2021 16:25:00 +0200

mstflint (4.16.0+1-3) unstable; urgency=medium

  * Add mipsel and mips64el architectures

 -- Tzafrir Cohen <tzafrir@debian.org>  Thu, 11 Feb 2021 21:20:47 +0200

mstflint (4.16.0+1-2) unstable; urgency=medium

  * array_length.patch: fix building on 32 bit
  * riscv.patch and hppa_and_m68k.patch: allow building on those
  * Clean files to allow building twice (for real now)

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 08 Feb 2021 11:11:11 +0200

mstflint (4.16.0+1-1) unstable; urgency=medium

  * New upstream release:
    - Dropped 0002-Make-the-build-reproducible.patch and
      Support-linking-against-system-libjsoncpp.patch: merged upstream.
  * Compat level 13
  * debian/watch: uscan version 4
  * debian/rules: fix removal of unused man pages
  * Add fix_interpreters.patch: python shebangs
  * Clean files to allow building twice

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 03 Feb 2021 13:59:28 +0200

mstflint (4.14.0+3-1) unstable; urgency=medium

  * New upstream release
  * Add cross.patch (Closes: #956757).
  * Remove man pages for uninstalled programs
  * Add myself as an uploader

 -- Tzafrir Cohen <tzafrir@debian.org>  Thu, 27 Aug 2020 21:35:39 +0300

mstflint (4.13.3+2-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Support linking against system libjsoncpp (Closes: #953789)
  * Do not install headers and static libraries. They are not used in Debian
    and they should belong to a separate development package instead.

  [ dann frazier ]
  * Enable mstreg command (Closes: #953792)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 26 Mar 2020 16:47:50 +0100

mstflint (4.13.3+2-1) unstable; urgency=medium

  * New upstream release (Closes: #951417)
  * Drop spelling mistake fix (accepted upstream)
  * Refresh remaining patches
  * Bump Standards-Version to 4.5.0 (no changes required)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 17 Feb 2020 12:58:21 +0100

mstflint (4.13.1+1-1) unstable; urgency=medium

  * New upstream release (Closes: #939931)
  * Drop 13 patches (all accepted upstream) and refresh the 3 remaining patches
  * Fix spelling mistakes found by lintian
  * Add missing shebang to Python scripts
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.4.1

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 21 Oct 2019 15:51:13 +0200

mstflint (4.11.0+1-1) unstable; urgency=medium

  * New upstream release
  * Refresh all patches and refresh upstream pull request
  * Fix more spelling mistakes (found by Lintian)
  * Cherry pick upstream patch for compatibility with openssl 1.1.X and 1.0.2
  * Add libssl-dev and libjson-c-dev to build dependencies
  * Switch to debhelper 12
  * Bump Standards-Version to 4.3.0 (no changes required)
  * Update debian/copyright

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 31 Jan 2019 21:45:25 +0100

mstflint (4.8.0-2) unstable; urgency=medium

  * Make the build reproducible (Closes: #886386). Thanks to Chris Lamb
    for the patch.
    - add 0012-Reproducible-build.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 05 Jan 2018 11:47:47 +0100

mstflint (4.8.0-1) unstable; urgency=medium

  * New upstream release
  * Set Debian HPC as maintainer
  * Move packaging Git repo on Salsa and update Vcs-* headers accordingly
  * Remove Ana Beatriz Guerrero Lopez from Uploaders and add myself
    Thanks Ana for all your work!
  * Run wrap-and-sort
  * Bump Standards-Version to 4.1.3
    - Set Priority to optional, instead of (deprecated) extra
  * Set homepage field to https://github.com/Mellanox/mstflint
  * Refresh patches (using gbp pq)
    - mtcr.h is needed to build mstflint, update dont-install-libmtcr_ul.patch
    - -I mft_utils is needed to build mstflint, update use-system-libs.patch
  * Add a patch to fix configure.ac by declaring 'm4' as an AC_CONFIG_MACRO_DIR

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 04 Jan 2018 18:32:50 +0100

mstflint (4.6.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to point to new GitHub home
  * Drop patches that were accepted upstream and refresh remaining patches
  * Remove hca_self_test.ofed (upstream dropped it)
  * Update debian/copyright
  * Add myself to uploaders

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 24 Jan 2017 14:11:26 +0100

mstflint (4.5.0+1.17.g8a0c39d-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh all patches
  * Fix spelling recieved -> received
  * Use system libraries of muparser and sqlite3
  * Do not install libmtcr_ul.a (it is used only for the mstflint binaries)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 03 Jan 2017 12:52:42 +0100

mstflint (4.4.0+1.12.gd1edd58-2) unstable; urgency=medium

  * Team upload
  * Fix compilation on unknown/unsupported architectures (armel, armhf, mips,
    mips64el, mipsel, s390x, alpha, and hppa)
  * Disable -Werror compiler flag

 -- Benjamin Drung <bdrung@debian.org>  Sat, 20 Aug 2016 13:09:38 +0200

mstflint (4.4.0+1.12.gd1edd58-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
    - Fixes build failure with GCC 6.0 (Closes: #811695)
  * Mangle upstream version to replace minus by plus
  * Drop typo fix patches (accepted upstream)
  * Enable hardening
  * Build binary package on linux-any
  * Point Vcs-* fields to HTTPS URLs
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Add patches to fix typos and malformed man pages
    - Fix spelling allign -> align
    - Fix spelling missmatch -> mismatch
    - Fix other typos
    - Fix section mismatch in man pages
    - Fix man page errors
  * Run autoreconf on build
  * Add dependency on libibmad5 (for dynamically loading libibmad.so.5)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 16 Aug 2016 18:03:58 +0200

mstflint (4.1.0+1.46.gb1cdaf7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 4.1.0-1.46.gb1cdaf7:
    - Previous patches were integrated upstream.
  * Add patch to remove date and time from version string to ensure a
    reproducible build.
  * Add patch to fix spelling errors in mstflint.1 and shipped binaries.
  * Add a debian/gbp.conf file to automatically filter out upstream's debian/
    directory when running "gbp import-orig".

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 31 Dec 2015 01:46:42 +0100

mstflint (4.0.1+1.43.g97d7275-2) unstable; urgency=medium

  * Add fields Vcs-Browser/Vcs-Git.
  * Add patches to fix FTBFS: (Closes: #797248)
    - fix_Werror=maybe-uninitialized
    - fix_Werror=sizeof-array-argument

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 01 Sep 2015 16:25:26 +0200

mstflint (4.0.1+1.43.g97d7275-1) unstable; urgency=medium

  * New upstream release 4.0.1-1.43.g97d7275:
    - Build with GCC 5. (Closes: #778016)
  * Update to Standards-Version 3.9.6, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 23 Jul 2015 15:42:01 +0200

mstflint (3.7.0+1.18.gcdb9f80-3) unstable; urgency=medium

  * Add support for ppc64el. Thanks to Breno Leitao. (Closes:#760864)
    This time for real!

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 11 Sep 2014 22:07:17 +0200

mstflint (3.7.0+1.18.gcdb9f80-2) unstable; urgency=medium

  * Add support for ppc64el. Thanks to Breno Leitao. (Closes:#760864)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 11 Sep 2014 21:45:18 +0200

mstflint (3.7.0+1.18.gcdb9f80-1) unstable; urgency=medium

  * New upstream release: 3.7.0-1.18.gcdb9f80

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 04 Sep 2014 11:06:11 +0200

mstflint (3.7.0-1) unstable; urgency=medium

  * New upstream release: 3.7.0-1.10.gdf7ec73
  * Add build depends on libibmad-dev and autotools-dev.
  * Remove build depends on automake and libtool.
  * Switch to dh 9 and source format version 3.0
  * Remove placeholder manpages.
  * Remove flag DM-Upload-Allowed.
  * Remove all current Uploaders, they're welcome back anytime.
    Add myself to Uploaders.
  * Bump Standards-Version to 3.9.5 (no changes required).
  * Update homepage.
  * Add a watch file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 04 Jul 2014 15:39:23 +0200

mstflint (1.4-OFED-1.4.2-1) unstable; urgency=low

  * Initial release (Closes: #539827)

 -- Benoit Mortier <benoit.mortier@opensides.be>  mon, 30 mar 2010 00:19:00 +0100
